List services
GET
{{server}}/api/v1/counter/redirect/service?ticket={{ticketKey}}Before redirecting to service, you should call this endpoint to get a list of all available services. It returns the list of services that the current clerk can't manage.
If you need to add a service that the clerk can manage, use the Add new task endpoint.
Request
ticket: Ticketkey
Response
It returns the array of service keys.
Request
Authorization
| Header | Value |
|---|---|
Authorization | Bearer {{counterToken}} |
Headers
| Key | Value |
|---|---|
Accept | application/json |
X-WSID | {{counterWsID}} |
Query parameters
| Key | Value |
|---|---|
ticket | {{ticketKey}} |
Code snippets
- cURL
- JavaScript
- Python
curl -X GET '{{server}}/api/v1/counter/redirect/service?ticket={{ticketKey}}' \
-H 'Accept: application/json' \
-H 'X-WSID: {{counterWsID}}' \
-H 'Authorization: Bearer {{counterToken}}'
const response = await fetch("{{server}}/api/v1/counter/redirect/service?ticket={{ticketKey}}", {
method: "GET",
headers: {
"Accept": "application/json",
"X-WSID": "{{counterWsID}}",
"Authorization": "Bearer {{counterToken}}"
},
});
const data = await response.json();
console.log(data);
import requests
url = "{{server}}/api/v1/counter/redirect/service?ticket={{ticketKey}}"
headers = {
"Accept": "application/json",
"X-WSID": "{{counterWsID}}",
"Authorization": "Bearer {{counterToken}}"
}
response = requests.get(url, headers=headers)
print(response.status_code)
print(response.json())
Example
Example request
GET
{{server}}/api/v1/counter/redirect/service?ticket=1906d4ba-ccac-4a1f-d8f9-a63962d6879aQuery parameters (1)
| Key | Value |
|---|---|
ticket | 1906d4ba-ccac-4a1f-d8f9-a63962d6879a |
Headers (2)
| Key | Value |
|---|---|
Accept | application/json |
X-WSID | {{counterWsID}} |
Example response 200 Ok
Response headers (9)
| Key | Value |
|---|---|
Access-Control-Expose-Headers | * |
Cache-Control | no-store, no-cache, must-revalidate |
Access-Control-Allow-Origin | * |
Access-Control-Allow-Methods | POST, PUT, GET, OPTIONS, DELETE |
Access-Control-Allow-Credentials | true |
Content-Length | 40 |
Access-Control-Max-Age | 86400 |
Access-Control-Allow-Headers | Content-Type, Authorization, X-Requested-With |
Content-Type | application/json;charset=utf-8 |
Body
[
"00000000-0000-4000-0007-000000000006"
]